## Getting Started

For more information on getting started with your download, refer to the [Getting Started section of Amazon FreeRTOS webpage](https://aws.amazon.com/freertos).

For more information on Amazon FreeRTOS, refer to the [Amazon FreeRTOS User Guide](https://aws.amazon.com/documentation/freertos).

## Hardware Requirements

Use the following MCU hardware to get started:
1. **Texas Instruments** - [CC3220SF-LAUNCHXL](http://www.ti.com/tool/cc3220sf-launchxl).
2. **STMicroelectronics** - [STM32L4 Discovery kit IoT node](http://www.st.com/en/evaluation-tools/b-l475e-iot01a.html).
3. **NXP** - [LPC54018 IoT Module](http://www.nxp.com/LPC-AWS-Module).
4. **Microchip** - [Curiosity PIC32MZEF](http://www.microchipdirect.com/product/search/all/dm320104-BNDL).

To evaluate Amazon FreeRTOS without using an MCU-based hardware, use the following:
1. **Windows Simulator** - Microsoft Windows 7 or newer, with at least a dual core and a hard-wired Ethernet connection.

## Development Environment

Based on your MCU hardware, download one of the following Integrated Development Environments (IDEs):
1. **Texas Instruments** - [Code Composer Studio](http://www.ti.com/tools-software/ccs.html).
2. **STMicroelectronics** - [STM32 System Workbench](http://openstm32.org/HomePage).
3. **NXP** - [IAR Embedded Workbench](https://www.iar.com/iar-embedded-workbench/partners/nxp).
4. **Microchip** - [MPLAB X IDE](http://www.microchip.com/mplab/mplab-x-ide).
5. **Windows Simulator** - [Visual Studio Community Edition](https://www.visualstudio.com/downloads/).
