<#--
/*******************************************************************************
  USART Driver Freemarker Template File

  Company:
    Microchip Technology Inc.

  File Name:
    drv_usart.ftl

  Summary:
    USART Driver Freemarker Template File

  Description:

*******************************************************************************/

/*******************************************************************************
Copyright (c) 2014 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS  WITHOUT  WARRANTY  OF  ANY  KIND,
EITHER EXPRESS  OR  IMPLIED,  INCLUDING  WITHOUT  LIMITATION,  ANY  WARRANTY  OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A  PARTICULAR  PURPOSE.
IN NO EVENT SHALL MICROCHIP OR  ITS  LICENSORS  BE  LIABLE  OR  OBLIGATED  UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION,  BREACH  OF  WARRANTY,  OR
OTHER LEGAL  EQUITABLE  THEORY  ANY  DIRECT  OR  INDIRECT  DAMAGES  OR  EXPENSES
INCLUDING BUT NOT LIMITED TO ANY  INCIDENTAL,  SPECIAL,  INDIRECT,  PUNITIVE  OR
CONSEQUENTIAL DAMAGES, LOST  PROFITS  OR  LOST  DATA,  COST  OF  PROCUREMENT  OF
SUBSTITUTE  GOODS,  TECHNOLOGY,  SERVICES,  OR  ANY  CLAIMS  BY  THIRD   PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE  THEREOF),  OR  OTHER  SIMILAR  COSTS.
*******************************************************************************/
-->
<#if CONFIG_USE_DRV_USART == true>
// *****************************************************************************
/* USART Driver Configuration Options
*/
<#if CONFIG_DRV_USART_DRIVER_MODE == "DYNAMIC">
<#assign combinedQueueDepth = 0>
<#if CONFIG_DRV_USART_INTERRUPT_MODE == true>
#define DRV_USART_INTERRUPT_MODE                    true
<#else>
#define DRV_USART_INTERRUPT_MODE                    false
</#if>

<#if CONFIG_DRV_USART_BYTE_MODEL_SUPPORT == true>
#define DRV_USART_BYTE_MODEL_SUPPORT                true
<#else>
#define DRV_USART_BYTE_MODEL_SUPPORT                false
</#if>

<#if CONFIG_DRV_USART_READ_WRITE_MODEL_SUPPORT == true>
#define DRV_USART_READ_WRITE_MODEL_SUPPORT          true
<#else>
#define DRV_USART_READ_WRITE_MODEL_SUPPORT          false
</#if>

<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_BUFFER_QUEUE_SUPPORT              true
<#else>
#define DRV_USART_BUFFER_QUEUE_SUPPORT              false
</#if>

#define DRV_USART_CLIENTS_NUMBER                    ${CONFIG_DRV_USART_CLIENTS_NUMBER}
#define DRV_USART_INSTANCES_NUMBER                  ${CONFIG_DRV_USART_INSTANCES_NUMBER}
<#-- Instance 0 -->
<#if CONFIG_DRV_USART_INST_IDX0 == true>

#define DRV_USART_PERIPHERAL_ID_IDX0                ${CONFIG_DRV_USART_PERIPHERAL_ID_IDX0}
#define DRV_USART_OPER_MODE_IDX0                    ${CONFIG_DRV_USART_OPER_MODE_IDX0}
#define DRV_USART_OPER_MODE_DATA_IDX0               ${CONFIG_DRV_USART_OPER_MODE_DATA_IDX0}
<#if CONFIG_DRV_USART_INIT_FLAG_WAKE_ON_START_IDX0 == true>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX0      true
<#else>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX0      false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX0 == true>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX0          true
<#else>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX0          false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX0 == true>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX0       true
<#else>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX0       false
</#if>
#define DRV_USART_INIT_FLAGS_IDX0                   ${CONFIG_DRV_USART_INIT_FLAGS_IDX0}
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX0 == false>
#define DRV_USART_BRG_CLOCK_IDX0                    ${CONFIG_DRV_USART_BRG_CLOCK_IDX0}
</#if>
#define DRV_USART_BAUD_RATE_IDX0                    ${CONFIG_DRV_USART_BAUD_RATE_IDX0}
#define DRV_USART_LINE_CNTRL_IDX0                   ${CONFIG_DRV_USART_LINE_CNTRL_IDX0}
#define DRV_USART_HANDSHAKE_MODE_IDX0               ${CONFIG_DRV_USART_HANDSHAKE_MODE_IDX0}
#define DRV_USART_XMIT_INT_SRC_IDX0                 ${CONFIG_DRV_USART_XMIT_INT_SRC_IDX0}
#define DRV_USART_RCV_INT_SRC_IDX0                  ${CONFIG_DRV_USART_RCV_INT_SRC_IDX0}
#define DRV_USART_ERR_INT_SRC_IDX0                  ${CONFIG_DRV_USART_ERR_INT_SRC_IDX0}
<#if CONFIG_DRV_USART_INTERRUPT_MODE == true && CONFIG_USE_DRV_USART_DMA_SUPPORT == false>
<#if CONFIG_PIC32MX == true>
#define DRV_USART_INT_VECTOR_IDX0                   ${CONFIG_DRV_USART_INT_VECTOR_IDX0}
#define DRV_USART_INT_PRIORITY_IDX0                 ${CONFIG_DRV_USART_INT_PRIORITY_IDX0}
#define DRV_USART_INT_SUB_PRIORITY_IDX0             ${CONFIG_DRV_USART_INT_SUB_PRIORITY_IDX0}
<#else>
#define DRV_USART_XMIT_INT_VECTOR_IDX0              ${CONFIG_DRV_USART_XMIT_INT_VECTOR_IDX0}
#define DRV_USART_XMIT_INT_PRIORITY_IDX0            ${CONFIG_DRV_USART_XMIT_INT_PRIORITY_IDX0}
#define DRV_USART_XMIT_INT_SUB_PRIORITY_IDX0        ${CONFIG_DRV_USART_XMIT_INT_SUB_PRIORITY_IDX0}
#define DRV_USART_RCV_INT_VECTOR_IDX0               ${CONFIG_DRV_USART_RCV_INT_VECTOR_IDX0}
#define DRV_USART_RCV_INT_PRIORITY_IDX0             ${CONFIG_DRV_USART_RCV_INT_PRIORITY_IDX0}
#define DRV_USART_RCV_INT_SUB_PRIORITY_IDX0         ${CONFIG_DRV_USART_RCV_INT_SUB_PRIORITY_IDX0}
#define DRV_USART_ERR_INT_VECTOR_IDX0               ${CONFIG_DRV_USART_ERR_INT_VECTOR_IDX0}
#define DRV_USART_ERR_INT_PRIORITY_IDX0             ${CONFIG_DRV_USART_ERR_INT_PRIORITY_IDX0}
#define DRV_USART_ERR_INT_SUB_PRIORITY_IDX0         ${CONFIG_DRV_USART_ERR_INT_SUB_PRIORITY_IDX0}
</#if>
</#if>

<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_XMIT_QUEUE_SIZE_IDX0              ${CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX0}
#define DRV_USART_RCV_QUEUE_SIZE_IDX0               ${CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX0}

<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX0?number>
<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX0?number>
</#if>

<#if CONFIG_DRV_USART_SUPPORT_TRANSMIT_DMA_IDX0 == true>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX0 == "0">
#define DRV_USART_XMIT_DMA_CH_IDX0                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX0 == "1">
#define DRV_USART_XMIT_DMA_CH_IDX0                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX0 == "2">
#define DRV_USART_XMIT_DMA_CH_IDX0                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX0 == "3">
#define DRV_USART_XMIT_DMA_CH_IDX0                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX0 == "4">
#define DRV_USART_XMIT_DMA_CH_IDX0                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX0 == "5">
#define DRV_USART_XMIT_DMA_CH_IDX0                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX0 == "6">
#define DRV_USART_XMIT_DMA_CH_IDX0                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX0 == "7">
#define DRV_USART_XMIT_DMA_CH_IDX0                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_0">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_1">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_2">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_3">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_4">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_5">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_6">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_7">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_7
</#if>
</#if>
<#if CONFIG_DRV_USART_SUPPORT_RECEIVE_DMA_IDX0 == true>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX0 == "0">
#define DRV_USART_RCV_DMA_CH_IDX0                   ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX0 == "1">
#define DRV_USART_RCV_DMA_CH_IDX0                   ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX0 == "2">
#define DRV_USART_RCV_DMA_CH_IDX0                   ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX0 == "3">
#define DRV_USART_RCV_DMA_CH_IDX0                   ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX0 == "4">
#define DRV_USART_RCV_DMA_CH_IDX0                   ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX0 == "5">
#define DRV_USART_RCV_DMA_CH_IDX0                   ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX0 == "6">
#define DRV_USART_RCV_DMA_CH_IDX0                   ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX0 == "7">
#define DRV_USART_RCV_DMA_CH_IDX0                   ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_0">
#define DRV_USART_RCV_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_1">
#define DRV_USART_RCV_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_2">
#define DRV_USART_RCV_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_3">
#define DRV_USART_RCV_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_4">
#define DRV_USART_RCV_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_5">
#define DRV_USART_RCV_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_6">
#define DRV_USART_RCV_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX0 == "DMA_CHANNEL_7">
#define DRV_USART_RCV_DMA_INT_SRC_IDX0                INT_SOURCE_DMA_7
</#if>
</#if>
#define DRV_USART_POWER_STATE_IDX0                  ${CONFIG_DRV_USART_POWER_STATE_IDX0}
</#if>
<#-- Instance 1 -->
<#if CONFIG_DRV_USART_INST_IDX1 == true>

#define DRV_USART_PERIPHERAL_ID_IDX1                ${CONFIG_DRV_USART_PERIPHERAL_ID_IDX1}
#define DRV_USART_OPER_MODE_IDX1                    ${CONFIG_DRV_USART_OPER_MODE_IDX1}
#define DRV_USART_OPER_MODE_DATA_IDX1               ${CONFIG_DRV_USART_OPER_MODE_DATA_IDX1}
<#if CONFIG_DRV_USART_INIT_FLAG_WAKE_ON_START_IDX1 == true>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX1      true
<#else>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX1      false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX1 == true>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX1          true
<#else>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX1          false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX1 == true>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX1       true
<#else>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX1       false
</#if>
#define DRV_USART_INIT_FLAGS_IDX1                   ${CONFIG_DRV_USART_INIT_FLAGS_IDX1}
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX1 == false>
#define DRV_USART_BRG_CLOCK_IDX1                    ${CONFIG_DRV_USART_BRG_CLOCK_IDX1}
</#if>
#define DRV_USART_BAUD_RATE_IDX1                    ${CONFIG_DRV_USART_BAUD_RATE_IDX1}
#define DRV_USART_LINE_CNTRL_IDX1                   ${CONFIG_DRV_USART_LINE_CNTRL_IDX1}
#define DRV_USART_HANDSHAKE_MODE_IDX1               ${CONFIG_DRV_USART_HANDSHAKE_MODE_IDX1}
#define DRV_USART_XMIT_INT_SRC_IDX1                 ${CONFIG_DRV_USART_XMIT_INT_SRC_IDX1}
#define DRV_USART_RCV_INT_SRC_IDX1                  ${CONFIG_DRV_USART_RCV_INT_SRC_IDX1}
#define DRV_USART_ERR_INT_SRC_IDX1                  ${CONFIG_DRV_USART_ERR_INT_SRC_IDX1}
<#if CONFIG_DRV_USART_INTERRUPT_MODE == true>
<#if CONFIG_PIC32MX == true>
#define DRV_USART_INT_VECTOR_IDX1                   ${CONFIG_DRV_USART_INT_VECTOR_IDX1}
#define DRV_USART_INT_PRIORITY_IDX1                 ${CONFIG_DRV_USART_INT_PRIORITY_IDX1}
#define DRV_USART_INT_SUB_PRIORITY_IDX1             ${CONFIG_DRV_USART_INT_SUB_PRIORITY_IDX1}
<#else>
#define DRV_USART_XMIT_INT_VECTOR_IDX1              ${CONFIG_DRV_USART_XMIT_INT_VECTOR_IDX1}
#define DRV_USART_XMIT_INT_PRIORITY_IDX1            ${CONFIG_DRV_USART_XMIT_INT_PRIORITY_IDX1}
#define DRV_USART_XMIT_INT_SUB_PRIORITY_IDX1        ${CONFIG_DRV_USART_XMIT_INT_SUB_PRIORITY_IDX1}
#define DRV_USART_RCV_INT_VECTOR_IDX1               ${CONFIG_DRV_USART_RCV_INT_VECTOR_IDX1}
#define DRV_USART_RCV_INT_PRIORITY_IDX1             ${CONFIG_DRV_USART_RCV_INT_PRIORITY_IDX1}
#define DRV_USART_RCV_INT_SUB_PRIORITY_IDX1         ${CONFIG_DRV_USART_RCV_INT_SUB_PRIORITY_IDX1}
#define DRV_USART_ERR_INT_VECTOR_IDX1               ${CONFIG_DRV_USART_ERR_INT_VECTOR_IDX1}
#define DRV_USART_ERR_INT_PRIORITY_IDX1             ${CONFIG_DRV_USART_ERR_INT_PRIORITY_IDX1}
#define DRV_USART_ERR_INT_SUB_PRIORITY_IDX1         ${CONFIG_DRV_USART_ERR_INT_SUB_PRIORITY_IDX1}
</#if>
</#if>

<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_XMIT_QUEUE_SIZE_IDX1              ${CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX1}
#define DRV_USART_RCV_QUEUE_SIZE_IDX1               ${CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX1}

<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX1?number>
<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX1?number>
</#if>

<#if CONFIG_DRV_USART_SUPPORT_TRANSMIT_DMA_IDX1 == true>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX1 == "0">
#define DRV_USART_XMIT_DMA_CH_IDX1                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX1 == "1">
#define DRV_USART_XMIT_DMA_CH_IDX1                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX1 == "2">
#define DRV_USART_XMIT_DMA_CH_IDX1                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX1 == "3">
#define DRV_USART_XMIT_DMA_CH_IDX1                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX1 == "4">
#define DRV_USART_XMIT_DMA_CH_IDX1                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX1 == "5">
#define DRV_USART_XMIT_DMA_CH_IDX1                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX1 == "6">
#define DRV_USART_XMIT_DMA_CH_IDX1                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX1 == "7">
#define DRV_USART_XMIT_DMA_CH_IDX1                  ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_0">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_1">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_2">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_3">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_4">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_5">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_6">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_7">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_7
</#if>
</#if>
<#if CONFIG_DRV_USART_SUPPORT_RECEIVE_DMA_IDX1 == true>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX1 == "0">
#define DRV_USART_RCV_DMA_CH_IDX1                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX1 == "1">
#define DRV_USART_RCV_DMA_CH_IDX1                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX1 == "2">
#define DRV_USART_RCV_DMA_CH_IDX1                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX1 == "3">
#define DRV_USART_RCV_DMA_CH_IDX1                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX1 == "4">
#define DRV_USART_RCV_DMA_CH_IDX1                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX1 == "5">
#define DRV_USART_RCV_DMA_CH_IDX1                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX1 == "6">
#define DRV_USART_RCV_DMA_CH_IDX1                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX1 == "7">
#define DRV_USART_RCV_DMA_CH_IDX1                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_0">
#define DRV_USART_RCV_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_1">
#define DRV_USART_RCV_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_2">
#define DRV_USART_RCV_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_3">
#define DRV_USART_RCV_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_4">
#define DRV_USART_RCV_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_5">
#define DRV_USART_RCV_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_6">
#define DRV_USART_RCV_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX1 == "DMA_CHANNEL_7">
#define DRV_USART_RCV_DMA_INT_SRC_IDX1                INT_SOURCE_DMA_7
</#if>
</#if>
#define DRV_USART_POWER_STATE_IDX1                  ${CONFIG_DRV_USART_POWER_STATE_IDX1}
</#if>
<#-- Instance 2 -->
<#if CONFIG_DRV_USART_INST_IDX2 == true>

#define DRV_USART_PERIPHERAL_ID_IDX2                ${CONFIG_DRV_USART_PERIPHERAL_ID_IDX2}
#define DRV_USART_OPER_MODE_IDX2                    ${CONFIG_DRV_USART_OPER_MODE_IDX2}
#define DRV_USART_OPER_MODE_DATA_IDX2               ${CONFIG_DRV_USART_OPER_MODE_DATA_IDX2}
<#if CONFIG_DRV_USART_INIT_FLAG_WAKE_ON_START_IDX2 == true>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX2      true
<#else>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX2      false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX2 == true>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX2          true
<#else>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX2          false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX2 == true>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX2       true
<#else>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX2       false
</#if>
#define DRV_USART_INIT_FLAGS_IDX2                   ${CONFIG_DRV_USART_INIT_FLAGS_IDX2}
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX2 == false>
#define DRV_USART_BRG_CLOCK_IDX2                    ${CONFIG_DRV_USART_BRG_CLOCK_IDX2}
</#if>
#define DRV_USART_BAUD_RATE_IDX2                    ${CONFIG_DRV_USART_BAUD_RATE_IDX2}
#define DRV_USART_LINE_CNTRL_IDX2                   ${CONFIG_DRV_USART_LINE_CNTRL_IDX2}
#define DRV_USART_HANDSHAKE_MODE_IDX2               ${CONFIG_DRV_USART_HANDSHAKE_MODE_IDX2}
#define DRV_USART_XMIT_INT_SRC_IDX2                 ${CONFIG_DRV_USART_XMIT_INT_SRC_IDX2}
#define DRV_USART_RCV_INT_SRC_IDX2                  ${CONFIG_DRV_USART_RCV_INT_SRC_IDX2}
#define DRV_USART_ERR_INT_SRC_IDX2                  ${CONFIG_DRV_USART_ERR_INT_SRC_IDX2}
<#if CONFIG_DRV_USART_INTERRUPT_MODE == true>
<#if CONFIG_PIC32MX == true>
#define DRV_USART_INT_VECTOR_IDX2                   ${CONFIG_DRV_USART_INT_VECTOR_IDX2}
#define DRV_USART_INT_PRIORITY_IDX2                 ${CONFIG_DRV_USART_INT_PRIORITY_IDX2}
#define DRV_USART_INT_SUB_PRIORITY_IDX2             ${CONFIG_DRV_USART_INT_SUB_PRIORITY_IDX2}
<#else>
#define DRV_USART_XMIT_INT_PRIORITY_IDX2            ${CONFIG_DRV_USART_XMIT_INT_PRIORITY_IDX2}
#define DRV_USART_XMIT_INT_SUB_PRIORITY_IDX2        ${CONFIG_DRV_USART_XMIT_INT_SUB_PRIORITY_IDX2}
#define DRV_USART_RCV_INT_VECTOR_IDX2               ${CONFIG_DRV_USART_RCV_INT_VECTOR_IDX2}
#define DRV_USART_RCV_INT_PRIORITY_IDX2             ${CONFIG_DRV_USART_RCV_INT_PRIORITY_IDX2}
#define DRV_USART_RCV_INT_SUB_PRIORITY_IDX2         ${CONFIG_DRV_USART_RCV_INT_SUB_PRIORITY_IDX2}
#define DRV_USART_ERR_INT_VECTOR_IDX2               ${CONFIG_DRV_USART_ERR_INT_VECTOR_IDX2}
#define DRV_USART_ERR_INT_PRIORITY_IDX2             ${CONFIG_DRV_USART_ERR_INT_PRIORITY_IDX2}
#define DRV_USART_ERR_INT_SUB_PRIORITY_IDX2         ${CONFIG_DRV_USART_ERR_INT_SUB_PRIORITY_IDX2}
</#if>
</#if>

<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_XMIT_QUEUE_SIZE_IDX2              ${CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX2}
#define DRV_USART_RCV_QUEUE_SIZE_IDX2               ${CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX2}

<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX2?number>
<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX2?number>
</#if>

<#if CONFIG_DRV_USART_SUPPORT_TRANSMIT_DMA_IDX2 == true>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX2 == "0">
#define DRV_USART_XMIT_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX2 == "1">
#define DRV_USART_XMIT_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX2 == "2">
#define DRV_USART_XMIT_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX2 == "3">
#define DRV_USART_XMIT_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX2 == "4">
#define DRV_USART_XMIT_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX2 == "5">
#define DRV_USART_XMIT_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX2 == "6">
#define DRV_USART_XMIT_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX2 == "7">
#define DRV_USART_XMIT_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_0">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_1">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_2">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_3">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_4">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_5">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_6">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_7">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_7
</#if>
</#if>
<#if CONFIG_DRV_USART_SUPPORT_RECEIVE_DMA_IDX2 == true>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX2 == "0">
#define DRV_USART_RCV_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX2 == "1">
#define DRV_USART_RCV_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX2 == "2">
#define DRV_USART_RCV_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX2 == "3">
#define DRV_USART_RCV_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX2 == "4">
#define DRV_USART_RCV_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX2 == "5">
#define DRV_USART_RCV_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX2 == "6">
#define DRV_USART_RCV_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX2 == "7">
#define DRV_USART_RCV_DMA_CH_IDX2                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_0">
#define DRV_USART_RCV_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_1">
#define DRV_USART_RCV_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_2">
#define DRV_USART_RCV_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_3">
#define DRV_USART_RCV_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_4">
#define DRV_USART_RCV_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_5">
#define DRV_USART_RCV_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_6">
#define DRV_USART_RCV_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX2 == "DMA_CHANNEL_7">
#define DRV_USART_RCV_DMA_INT_SRC_IDX2                INT_SOURCE_DMA_7
</#if>
</#if>
#define DRV_USART_POWER_STATE_IDX2                  ${CONFIG_DRV_USART_POWER_STATE_IDX2}
</#if>
<#-- Instance 3 -->
<#if CONFIG_DRV_USART_INST_IDX3 == true>

#define DRV_USART_PERIPHERAL_ID_IDX3                ${CONFIG_DRV_USART_PERIPHERAL_ID_IDX3}
#define DRV_USART_OPER_MODE_IDX3                    ${CONFIG_DRV_USART_OPER_MODE_IDX3}
#define DRV_USART_OPER_MODE_DATA_IDX3               ${CONFIG_DRV_USART_OPER_MODE_DATA_IDX3}
<#if CONFIG_DRV_USART_INIT_FLAG_WAKE_ON_START_IDX3 == true>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX3      true
<#else>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX3      false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX3 == true>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX3          true
<#else>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX3          false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX3 == true>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX3       true
<#else>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX3       false
</#if>
#define DRV_USART_INIT_FLAGS_IDX3                   ${CONFIG_DRV_USART_INIT_FLAGS_IDX3}
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX3 == false>
#define DRV_USART_BRG_CLOCK_IDX3                    ${CONFIG_DRV_USART_BRG_CLOCK_IDX3}
</#if>
#define DRV_USART_BAUD_RATE_IDX3                    ${CONFIG_DRV_USART_BAUD_RATE_IDX3}
#define DRV_USART_LINE_CNTRL_IDX3                   ${CONFIG_DRV_USART_LINE_CNTRL_IDX3}
#define DRV_USART_HANDSHAKE_MODE_IDX3               ${CONFIG_DRV_USART_HANDSHAKE_MODE_IDX3}
#define DRV_USART_XMIT_INT_SRC_IDX3                 ${CONFIG_DRV_USART_XMIT_INT_SRC_IDX3}
#define DRV_USART_RCV_INT_SRC_IDX3                  ${CONFIG_DRV_USART_RCV_INT_SRC_IDX3}
#define DRV_USART_ERR_INT_SRC_IDX3                  ${CONFIG_DRV_USART_ERR_INT_SRC_IDX3}
<#if CONFIG_DRV_USART_INTERRUPT_MODE == true>
<#if CONFIG_PIC32MX == true>
#define DRV_USART_INT_VECTOR_IDX3                   ${CONFIG_DRV_USART_INT_VECTOR_IDX3}
#define DRV_USART_INT_PRIORITY_IDX3                 ${CONFIG_DRV_USART_INT_PRIORITY_IDX3}
#define DRV_USART_INT_SUB_PRIORITY_IDX3             ${CONFIG_DRV_USART_INT_SUB_PRIORITY_IDX3}
<#else>
#define DRV_USART_XMIT_INT_VECTOR_IDX3              ${CONFIG_DRV_USART_XMIT_INT_VECTOR_IDX3}
#define DRV_USART_XMIT_INT_PRIORITY_IDX3            ${CONFIG_DRV_USART_XMIT_INT_PRIORITY_IDX3}
#define DRV_USART_XMIT_INT_SUB_PRIORITY_IDX3        ${CONFIG_DRV_USART_XMIT_INT_SUB_PRIORITY_IDX3}
#define DRV_USART_RCV_INT_VECTOR_IDX3               ${CONFIG_DRV_USART_RCV_INT_VECTOR_IDX3}
#define DRV_USART_RCV_INT_PRIORITY_IDX3             ${CONFIG_DRV_USART_RCV_INT_PRIORITY_IDX3}
#define DRV_USART_RCV_INT_SUB_PRIORITY_IDX3         ${CONFIG_DRV_USART_RCV_INT_SUB_PRIORITY_IDX3}
#define DRV_USART_ERR_INT_VECTOR_IDX3               ${CONFIG_DRV_USART_ERR_INT_VECTOR_IDX3}
#define DRV_USART_ERR_INT_PRIORITY_IDX3             ${CONFIG_DRV_USART_ERR_INT_PRIORITY_IDX3}
#define DRV_USART_ERR_INT_SUB_PRIORITY_IDX3         ${CONFIG_DRV_USART_ERR_INT_SUB_PRIORITY_IDX3}
</#if>
</#if>

<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_XMIT_QUEUE_SIZE_IDX3              ${CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX3}
#define DRV_USART_RCV_QUEUE_SIZE_IDX3               ${CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX3}

<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX3?number>
<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX3?number>
</#if>

<#if CONFIG_DRV_USART_SUPPORT_TRANSMIT_DMA_IDX3 == true>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX3 == "0">
#define DRV_USART_XMIT_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX3 == "1">
#define DRV_USART_XMIT_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX3 == "2">
#define DRV_USART_XMIT_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX3 == "3">
#define DRV_USART_XMIT_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX3 == "4">
#define DRV_USART_XMIT_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX3 == "5">
#define DRV_USART_XMIT_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX3 == "6">
#define DRV_USART_XMIT_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX3 == "7">
#define DRV_USART_XMIT_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_0">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_1">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_2">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_3">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_4">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_5">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_6">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_7">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_7
</#if>
</#if>
<#if CONFIG_DRV_USART_SUPPORT_RECEIVE_DMA_IDX3 == true>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX3 == "0">
#define DRV_USART_RCV_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX3 == "1">
#define DRV_USART_RCV_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX3 == "2">
#define DRV_USART_RCV_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX3 == "3">
#define DRV_USART_RCV_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX3 == "4">
#define DRV_USART_RCV_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX3 == "5">
#define DRV_USART_RCV_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX3 == "6">
#define DRV_USART_RCV_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX3 == "7">
#define DRV_USART_RCV_DMA_CH_IDX3                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_0">
#define DRV_USART_RCV_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_1">
#define DRV_USART_RCV_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_2">
#define DRV_USART_RCV_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_3">
#define DRV_USART_RCV_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_4">
#define DRV_USART_RCV_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_5">
#define DRV_USART_RCV_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_6">
#define DRV_USART_RCV_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX3 == "DMA_CHANNEL_7">
#define DRV_USART_RCV_DMA_INT_SRC_IDX3                INT_SOURCE_DMA_7
</#if>
</#if>
#define DRV_USART_POWER_STATE_IDX3                  ${CONFIG_DRV_USART_POWER_STATE_IDX3}
</#if>
<#-- Instance 4 -->
<#if CONFIG_DRV_USART_INST_IDX4 == true>

#define DRV_USART_PERIPHERAL_ID_IDX4                ${CONFIG_DRV_USART_PERIPHERAL_ID_IDX4}
#define DRV_USART_OPER_MODE_IDX4                    ${CONFIG_DRV_USART_OPER_MODE_IDX4}
#define DRV_USART_OPER_MODE_DATA_IDX4               ${CONFIG_DRV_USART_OPER_MODE_DATA_IDX4}
<#if CONFIG_DRV_USART_INIT_FLAG_WAKE_ON_START_IDX4 == true>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX4      true
<#else>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX4      false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX4 == true>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX4          true
<#else>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX4          false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX4 == true>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX4       true
<#else>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX4       false
</#if>
#define DRV_USART_INIT_FLAGS_IDX4                   ${CONFIG_DRV_USART_INIT_FLAGS_IDX4}
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX4 == false>
#define DRV_USART_BRG_CLOCK_IDX4                    ${CONFIG_DRV_USART_BRG_CLOCK_IDX4}
</#if>
#define DRV_USART_BAUD_RATE_IDX4                    ${CONFIG_DRV_USART_BAUD_RATE_IDX4}
#define DRV_USART_LINE_CNTRL_IDX4                   ${CONFIG_DRV_USART_LINE_CNTRL_IDX4}
#define DRV_USART_HANDSHAKE_MODE_IDX4               ${CONFIG_DRV_USART_HANDSHAKE_MODE_IDX4}
#define DRV_USART_XMIT_INT_SRC_IDX4                 ${CONFIG_DRV_USART_XMIT_INT_SRC_IDX4}
#define DRV_USART_RCV_INT_SRC_IDX4                  ${CONFIG_DRV_USART_RCV_INT_SRC_IDX4}
#define DRV_USART_ERR_INT_SRC_IDX4                  ${CONFIG_DRV_USART_ERR_INT_SRC_IDX4}
<#if CONFIG_DRV_USART_INTERRUPT_MODE == true>
<#if CONFIG_PIC32MX == true>
#define DRV_USART_INT_VECTOR_IDX4                   ${CONFIG_DRV_USART_INT_VECTOR_IDX4}
#define DRV_USART_INT_PRIORITY_IDX4                 ${CONFIG_DRV_USART_INT_PRIORITY_IDX4}
#define DRV_USART_INT_SUB_PRIORITY_IDX4             ${CONFIG_DRV_USART_INT_SUB_PRIORITY_IDX4}
<#else>
#define DRV_USART_XMIT_INT_PRIORITY_IDX4            ${CONFIG_DRV_USART_XMIT_INT_PRIORITY_IDX4}
#define DRV_USART_XMIT_INT_SUB_PRIORITY_IDX4        ${CONFIG_DRV_USART_XMIT_INT_SUB_PRIORITY_IDX4}
#define DRV_USART_RCV_INT_VECTOR_IDX4               ${CONFIG_DRV_USART_RCV_INT_VECTOR_IDX4}
#define DRV_USART_RCV_INT_PRIORITY_IDX4             ${CONFIG_DRV_USART_RCV_INT_PRIORITY_IDX4}
#define DRV_USART_RCV_INT_SUB_PRIORITY_IDX4         ${CONFIG_DRV_USART_RCV_INT_SUB_PRIORITY_IDX4}
#define DRV_USART_ERR_INT_VECTOR_IDX4               ${CONFIG_DRV_USART_ERR_INT_VECTOR_IDX4}
#define DRV_USART_ERR_INT_PRIORITY_IDX4             ${CONFIG_DRV_USART_ERR_INT_PRIORITY_IDX4}
#define DRV_USART_ERR_INT_SUB_PRIORITY_IDX4         ${CONFIG_DRV_USART_ERR_INT_SUB_PRIORITY_IDX4}
</#if>
</#if>

<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_XMIT_QUEUE_SIZE_IDX4              ${CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX4}
#define DRV_USART_RCV_QUEUE_SIZE_IDX4               ${CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX4}

<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX4?number>
<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX4?number>
</#if>

<#if CONFIG_DRV_USART_SUPPORT_TRANSMIT_DMA_IDX4 == true>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX4 == "0">
#define DRV_USART_XMIT_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX4 == "1">
#define DRV_USART_XMIT_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX4 == "2">
#define DRV_USART_XMIT_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX4 == "3">
#define DRV_USART_XMIT_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX4 == "4">
#define DRV_USART_XMIT_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX4 == "5">
#define DRV_USART_XMIT_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX4 == "6">
#define DRV_USART_XMIT_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX4 == "7">
#define DRV_USART_XMIT_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_0">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_1">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_2">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_3">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_4">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_5">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_6">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_7">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_7
</#if>
</#if>
<#if CONFIG_DRV_USART_SUPPORT_RECEIVE_DMA_IDX4 == true>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX4 == "0">
#define DRV_USART_RCV_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX4 == "1">
#define DRV_USART_RCV_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX4 == "2">
#define DRV_USART_RCV_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX4 == "3">
#define DRV_USART_RCV_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX4 == "4">
#define DRV_USART_RCV_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX4 == "5">
#define DRV_USART_RCV_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX4 == "6">
#define DRV_USART_RCV_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX4 == "7">
#define DRV_USART_RCV_DMA_CH_IDX4                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_0">
#define DRV_USART_RCV_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_1">
#define DRV_USART_RCV_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_2">
#define DRV_USART_RCV_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_3">
#define DRV_USART_RCV_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_4">
#define DRV_USART_RCV_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_5">
#define DRV_USART_RCV_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_6">
#define DRV_USART_RCV_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX4 == "DMA_CHANNEL_7">
#define DRV_USART_RCV_DMA_INT_SRC_IDX4                INT_SOURCE_DMA_7
</#if>
</#if>
#define DRV_USART_POWER_STATE_IDX4                  ${CONFIG_DRV_USART_POWER_STATE_IDX4}
</#if>
<#-- Instance 5 -->
<#if CONFIG_DRV_USART_INST_IDX5 == true>

#define DRV_USART_PERIPHERAL_ID_IDX5                ${CONFIG_DRV_USART_PERIPHERAL_ID_IDX5}
#define DRV_USART_OPER_MODE_IDX5                    ${CONFIG_DRV_USART_OPER_MODE_IDX5}
#define DRV_USART_OPER_MODE_DATA_IDX5               ${CONFIG_DRV_USART_OPER_MODE_DATA_IDX5}
<#if CONFIG_DRV_USART_INIT_FLAG_WAKE_ON_START_IDX5 == true>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX5      true
<#else>
#define DRV_USART_INIT_FLAG_WAKE_ON_START_IDX5      false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX5 == true>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX5          true
<#else>
#define DRV_USART_INIT_FLAG_AUTO_BAUD_IDX5          false
</#if>
<#if CONFIG_DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX5 == true>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX5       true
<#else>
#define DRV_USART_INIT_FLAG_STOP_IN_IDLE_IDX5       false
</#if>
#define DRV_USART_INIT_FLAGS_IDX5                   ${CONFIG_DRV_USART_INIT_FLAGS_IDX5}
<#if CONFIG_DRV_USART_INIT_FLAG_AUTO_BAUD_IDX5 == false>
#define DRV_USART_BRG_CLOCK_IDX5                    ${CONFIG_DRV_USART_BRG_CLOCK_IDX5}
</#if>
#define DRV_USART_BAUD_RATE_IDX5                    ${CONFIG_DRV_USART_BAUD_RATE_IDX5}
#define DRV_USART_LINE_CNTRL_IDX5                   ${CONFIG_DRV_USART_LINE_CNTRL_IDX5}
#define DRV_USART_HANDSHAKE_MODE_IDX5               ${CONFIG_DRV_USART_HANDSHAKE_MODE_IDX5}
#define DRV_USART_XMIT_INT_SRC_IDX5                 ${CONFIG_DRV_USART_XMIT_INT_SRC_IDX5}
#define DRV_USART_RCV_INT_SRC_IDX5                  ${CONFIG_DRV_USART_RCV_INT_SRC_IDX5}
#define DRV_USART_ERR_INT_SRC_IDX5                  ${CONFIG_DRV_USART_ERR_INT_SRC_IDX5}
<#if CONFIG_DRV_USART_INTERRUPT_MODE == true>
<#if CONFIG_PIC32MX == true>
#define DRV_USART_INT_VECTOR_IDX5                   ${CONFIG_DRV_USART_INT_VECTOR_IDX5}
#define DRV_USART_INT_PRIORITY_IDX5                 ${CONFIG_DRV_USART_INT_PRIORITY_IDX5}
#define DRV_USART_INT_SUB_PRIORITY_IDX5             ${CONFIG_DRV_USART_INT_SUB_PRIORITY_IDX5}
<#else>
#define DRV_USART_XMIT_INT_VECTOR_IDX5              ${CONFIG_DRV_USART_XMIT_INT_VECTOR_IDX5}
#define DRV_USART_XMIT_INT_PRIORITY_IDX5            ${CONFIG_DRV_USART_XMIT_INT_PRIORITY_IDX5}
#define DRV_USART_XMIT_INT_SUB_PRIORITY_IDX5        ${CONFIG_DRV_USART_XMIT_INT_SUB_PRIORITY_IDX5}
#define DRV_USART_RCV_INT_VECTOR_IDX5               ${CONFIG_DRV_USART_RCV_INT_VECTOR_IDX5}
#define DRV_USART_RCV_INT_PRIORITY_IDX5             ${CONFIG_DRV_USART_RCV_INT_PRIORITY_IDX5}
#define DRV_USART_RCV_INT_SUB_PRIORITY_IDX5         ${CONFIG_DRV_USART_RCV_INT_SUB_PRIORITY_IDX5}
#define DRV_USART_ERR_INT_VECTOR_IDX5               ${CONFIG_DRV_USART_ERR_INT_VECTOR_IDX5}
#define DRV_USART_ERR_INT_PRIORITY_IDX5             ${CONFIG_DRV_USART_ERR_INT_PRIORITY_IDX5}
#define DRV_USART_ERR_INT_SUB_PRIORITY_IDX5         ${CONFIG_DRV_USART_ERR_INT_SUB_PRIORITY_IDX5}
</#if>
</#if>

<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_XMIT_QUEUE_SIZE_IDX5              ${CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX5}
#define DRV_USART_RCV_QUEUE_SIZE_IDX5               ${CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX5}

<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX5?number>
<#assign combinedQueueDepth = combinedQueueDepth + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX5?number>
</#if>

<#if CONFIG_DRV_USART_SUPPORT_TRANSMIT_DMA_IDX5 == true>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX5 == "0">
#define DRV_USART_XMIT_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX5 == "1">
#define DRV_USART_XMIT_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX5 == "2">
#define DRV_USART_XMIT_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX5 == "3">
#define DRV_USART_XMIT_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX5 == "4">
#define DRV_USART_XMIT_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX5 == "5">
#define DRV_USART_XMIT_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX5 == "6">
#define DRV_USART_XMIT_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_XMIT_DMA_CH_IDX5 == "7">
#define DRV_USART_XMIT_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_0">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_1">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_2">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_3">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_4">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_5">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_6">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_XMIT_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_7">
#define DRV_USART_XMIT_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_7
</#if>
</#if>
<#if CONFIG_DRV_USART_SUPPORT_RECEIVE_DMA_IDX5 == true>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX5 == "0">
#define DRV_USART_RCV_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX0}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX0> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX5 == "1">
#define DRV_USART_RCV_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX1}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX1> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX5 == "2">
#define DRV_USART_RCV_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX2}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX2> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX5 == "3">
#define DRV_USART_RCV_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX3}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX3> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX5 == "4">
#define DRV_USART_RCV_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX4}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX4> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX5 == "5">
#define DRV_USART_RCV_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX5}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX5> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX5 == "6">
#define DRV_USART_RCV_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX6}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX6> 
</#if>
<#if CONFIG_DRV_USART_RCV_DMA_CH_IDX5 == "7">
#define DRV_USART_RCV_DMA_CH_IDX5                ${CONFIG_SYS_DMA_CHANNEL_ID_IDX7}
<#assign DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 = CONFIG_SYS_DMA_CHANNEL_ID_IDX7> 
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_0">
#define DRV_USART_RCV_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_0
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_1">
#define DRV_USART_RCV_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_1
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_2">
#define DRV_USART_RCV_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_2
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_3">
#define DRV_USART_RCV_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_3
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_4">
#define DRV_USART_RCV_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_4
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_5">
#define DRV_USART_RCV_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_5
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_6">
#define DRV_USART_RCV_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_6
</#if>
<#if DRV_USART_RCV_DMA_CH_INT_SRC_IDX5 == "DMA_CHANNEL_7">
#define DRV_USART_RCV_DMA_INT_SRC_IDX5                INT_SOURCE_DMA_7
</#if>
</#if>
#define DRV_USART_POWER_STATE_IDX5                  ${CONFIG_DRV_USART_POWER_STATE_IDX5}
</#if>

<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_QUEUE_DEPTH_COMBINED              ${combinedQueueDepth}
</#if>
</#if>
<#if CONFIG_DRV_USART_DRIVER_MODE == "STATIC">
#define DRV_USART_INSTANCES_NUMBER                  ${CONFIG_DRV_USART_INSTANCES_NUMBER}
#define DRV_USART_CLIENTS_NUMBER                    ${CONFIG_DRV_USART_CLIENTS_NUMBER}
<#if CONFIG_DRV_USART_INTERRUPT_MODE == true>
#define DRV_USART_INTERRUPT_MODE                    true
<#else>
#define DRV_USART_INTERRUPT_MODE                    false
</#if>
<#if CONFIG_DRV_USART_BYTE_MODEL_SUPPORT == true>
#define DRV_USART_BYTE_MODEL_SUPPORT                true
<#else>
#define DRV_USART_BYTE_MODEL_SUPPORT                false
</#if>
<#if CONFIG_DRV_USART_READ_WRITE_MODEL_SUPPORT == true>
#define DRV_USART_READ_WRITE_MODEL_SUPPORT          true
<#else>
#define DRV_USART_READ_WRITE_MODEL_SUPPORT          false
</#if>
<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
#define DRV_USART_BUFFER_QUEUE_SUPPORT              true
<#else>
#define DRV_USART_BUFFER_QUEUE_SUPPORT              false
</#if>
<#if CONFIG_DRV_USART_BUFFER_QUEUE_SUPPORT == true>
<#assign totalQueueDepth = 0>
<#if CONFIG_DRV_USART_INST_IDX0 == true>
<#assign totalQueueDepth = totalQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX0?number + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX0?number>
</#if>
<#if CONFIG_DRV_USART_INST_IDX1 == true>
<#assign totalQueueDepth = totalQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX1?number + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX1?number>
</#if>
<#if CONFIG_DRV_USART_INST_IDX2 == true>
<#assign totalQueueDepth = totalQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX2?number + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX2?number>
</#if>
<#if CONFIG_DRV_USART_INST_IDX3 == true>
<#assign totalQueueDepth = totalQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX3?number + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX3?number>
</#if>
<#if CONFIG_DRV_USART_INST_IDX4 == true>
<#assign totalQueueDepth = totalQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX4?number + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX4?number>
</#if>
<#if CONFIG_DRV_USART_INST_IDX5 == true>
<#assign totalQueueDepth = totalQueueDepth + CONFIG_DRV_USART_XMIT_QUEUE_SIZE_IDX5?number + CONFIG_DRV_USART_RCV_QUEUE_SIZE_IDX5?number>
</#if>
#define DRV_USART_QUEUE_DEPTH_COMBINED              ${totalQueueDepth}
</#if>
</#if>
</#if>
<#--
/*******************************************************************************
 End of File
*/
-->

